]> jfr.im git - irc/evilnet/x3.git/blobdiff - configure
possible fix to the spamserv bug, ill get buttaknife to test this now. If theres...
[irc/evilnet/x3.git] / configure
index 030b39dd39aee93d4746b5abc44551ab63ec39a6..9004200b372850205aa80e2e39b8d5fc68f76721 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,9 +1,9 @@
 #! /bin/sh
-# From configure.in Id: configure.in 1317 2005-09-05 06:25:25Z sirvulcan .
+# From configure.in Id: configure.in 1718 2006-08-01 05:30:41Z sirvulcan .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for X3 1.4.
+# Generated by GNU Autoconf 2.59 for X3 1.5.
 #
-# Report bugs to <x2serv-general@lists.sourceforge.net>.
+# Report bugs to <evilnet-devel@lists.sourceforge.net>.
 #
 # Copyright (C) 2003 Free Software Foundation, Inc.
 # This configure script is free software; the Free Software Foundation
@@ -270,9 +270,9 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='X3'
 PACKAGE_TARNAME='x3'
-PACKAGE_VERSION='1.4'
-PACKAGE_STRING='X3 1.4'
-PACKAGE_BUGREPORT='x2serv-general@lists.sourceforge.net'
+PACKAGE_VERSION='1.5'
+PACKAGE_STRING='X3 1.5'
+PACKAGE_BUGREPORT='evilnet-devel@lists.sourceforge.net'
 
 ac_unique_file="src/opserv.c"
 # Factoring default headers for most tests.
@@ -312,7 +312,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE RANLIB ac_ct_RANLIB LN_S CPP EGREP ALLOCA MODULE_OBJS MY_SUBDIRS RX_INCLUDES RX_LIBS LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE RANLIB ac_ct_RANLIB LN_S CPP EGREP MAKER ALLOCA MODULE_OBJS MY_SUBDIRS RX_INCLUDES RX_LIBS TRACK LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -781,7 +781,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures X3 1.4 to adapt to many kinds of systems.
+\`configure' configures X3 1.5 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -848,7 +848,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of X3 1.4:";;
+     short | recursive ) echo "Configuration of X3 1.5:";;
    esac
   cat <<\_ACEOF
 
@@ -870,8 +870,9 @@ Optional Packages:
   --with-malloc=type      Enables use of a special malloc library; one of:
                           system (the default), boehm-gc, dmalloc, mpatrol, x3, slab
   --with-protocol=name    Choose IRC dialect to support; one of:
-                          p10 (the default), bahamut
+                          p10 (the default)
   --without-getopt        Disables building of the GNU getopt library
+  --with-tre=PATH    Base path to where libtre is installed, such that PATH/lib/libtre.so and PATH/include/tre/regex.h exist.
 
 Some influential environment variables:
   CC          C compiler command
@@ -885,7 +886,7 @@ Some influential environment variables:
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
 
-Report bugs to <x2serv-general@lists.sourceforge.net>.
+Report bugs to <evilnet-devel@lists.sourceforge.net>.
 _ACEOF
 fi
 
@@ -981,7 +982,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-X3 configure 1.4
+X3 configure 1.5
 generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
@@ -995,7 +996,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by X3 $as_me 1.4, which was
+It was created by X3 $as_me 1.5, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
@@ -1724,7 +1725,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='x3'
- VERSION='1.4'
+ VERSION='1.5'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -4095,6 +4096,86 @@ else
 fi
 
 
+# Find a good install program.  We prefer a C program (faster),
+# so one script is as good as another.  But avoid the broken or
+# incompatible versions:
+# SysV /etc/install, /usr/sbin/install
+# SunOS /usr/etc/install
+# IRIX /sbin/install
+# AIX /bin/install
+# AmigaOS /C/install, which installs bootblocks on floppy discs
+# AIX 4 /usr/bin/installbsd, which doesn't work without a -g flag
+# AFS /usr/afsws/bin/install, which mishandles nonexistent args
+# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
+# OS/2's system install, which has a completely different semantic
+# ./install, which can be erroneously created by make from ./install.sh.
+echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
+echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6
+if test -z "$INSTALL"; then
+if test "${ac_cv_path_install+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  # Account for people who put trailing slashes in PATH elements.
+case $as_dir/ in
+  ./ | .// | /cC/* | \
+  /etc/* | /usr/sbin/* | /usr/etc/* | /sbin/* | /usr/afsws/bin/* | \
+  ?:\\/os2\\/install\\/* | ?:\\/OS2\\/INSTALL\\/* | \
+  /usr/ucb/* ) ;;
+  *)
+    # OSF1 and SCO ODT 3.0 have their own names for install.
+    # Don't use installbsd from OSF since it installs stuff as root
+    # by default.
+    for ac_prog in ginstall scoinst install; do
+      for ac_exec_ext in '' $ac_executable_extensions; do
+       if $as_executable_p "$as_dir/$ac_prog$ac_exec_ext"; then
+         if test $ac_prog = install &&
+           grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
+           # AIX install.  It has an incompatible calling convention.
+           :
+         elif test $ac_prog = install &&
+           grep pwplus "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
+           # program-specific install script used by HP pwplus--don't use.
+           :
+         else
+           ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
+           break 3
+         fi
+       fi
+      done
+    done
+    ;;
+esac
+done
+
+
+fi
+  if test "${ac_cv_path_install+set}" = set; then
+    INSTALL=$ac_cv_path_install
+  else
+    # As a last resort, use the slow shell script.  We don't cache a
+    # path for INSTALL within a source directory, because that will
+    # break other packages using the cache if that directory is
+    # removed, or if the path is relative.
+    INSTALL=$ac_install_sh
+  fi
+fi
+echo "$as_me:$LINENO: result: $INSTALL" >&5
+echo "${ECHO_T}$INSTALL" >&6
+
+# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
+# It thinks the first close brace ends the variable substitution.
+test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
+
+test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
+
+test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
+
+
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ranlib; ac_word=$2
@@ -4175,84 +4256,6 @@ else
   RANLIB="$ac_cv_prog_RANLIB"
 fi
 
-# Find a good install program.  We prefer a C program (faster),
-# so one script is as good as another.  But avoid the broken or
-# incompatible versions:
-# SysV /etc/install, /usr/sbin/install
-# SunOS /usr/etc/install
-# IRIX /sbin/install
-# AIX /bin/install
-# AmigaOS /C/install, which installs bootblocks on floppy discs
-# AIX 4 /usr/bin/installbsd, which doesn't work without a -g flag
-# AFS /usr/afsws/bin/install, which mishandles nonexistent args
-# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
-# OS/2's system install, which has a completely different semantic
-# ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
-echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6
-if test -z "$INSTALL"; then
-if test "${ac_cv_path_install+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  # Account for people who put trailing slashes in PATH elements.
-case $as_dir/ in
-  ./ | .// | /cC/* | \
-  /etc/* | /usr/sbin/* | /usr/etc/* | /sbin/* | /usr/afsws/bin/* | \
-  ?:\\/os2\\/install\\/* | ?:\\/OS2\\/INSTALL\\/* | \
-  /usr/ucb/* ) ;;
-  *)
-    # OSF1 and SCO ODT 3.0 have their own names for install.
-    # Don't use installbsd from OSF since it installs stuff as root
-    # by default.
-    for ac_prog in ginstall scoinst install; do
-      for ac_exec_ext in '' $ac_executable_extensions; do
-       if $as_executable_p "$as_dir/$ac_prog$ac_exec_ext"; then
-         if test $ac_prog = install &&
-           grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
-           # AIX install.  It has an incompatible calling convention.
-           :
-         elif test $ac_prog = install &&
-           grep pwplus "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
-           # program-specific install script used by HP pwplus--don't use.
-           :
-         else
-           ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
-           break 3
-         fi
-       fi
-      done
-    done
-    ;;
-esac
-done
-
-
-fi
-  if test "${ac_cv_path_install+set}" = set; then
-    INSTALL=$ac_cv_path_install
-  else
-    # As a last resort, use the slow shell script.  We don't cache a
-    # path for INSTALL within a source directory, because that will
-    # break other packages using the cache if that directory is
-    # removed, or if the path is relative.
-    INSTALL=$ac_install_sh
-  fi
-fi
-echo "$as_me:$LINENO: result: $INSTALL" >&5
-echo "${ECHO_T}$INSTALL" >&6
-
-# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
-# It thinks the first close brace ends the variable substitution.
-test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
-
-test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
-
-test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
 echo "$as_me:$LINENO: checking whether ln -s works" >&5
 echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
@@ -4594,6 +4597,42 @@ echo "${ECHO_T}$ac_cv_prog_gcc_traditional" >&6
   fi
 fi
 
+# Extract the first word of "gmake", so it can be a program name with args.
+set dummy gmake; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_prog_MAKER+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$MAKER"; then
+  ac_cv_prog_MAKER="$MAKER" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_prog_MAKER="gmake"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  test -z "$ac_cv_prog_MAKER" && ac_cv_prog_MAKER="make"
+fi
+fi
+MAKER=$ac_cv_prog_MAKER
+if test -n "$MAKER"; then
+  echo "$as_me:$LINENO: result: $MAKER" >&5
+echo "${ECHO_T}$MAKER" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
 
 case $target in
   *-freebsd2* | *-freebsdelf2* | *-freebsd*out3*)
@@ -4601,12 +4640,6 @@ case $target in
     ;;
   *-freebsd3* | *-freebsdelf3* | *-freebsd*out3*)
     ANSI_SRC=""
-
-cat >>confdefs.h <<\_ACEOF
-#define BROKEN_REGEX 1
-_ACEOF
-
-        BROKEN_REGEX=yes
     ;;
   *-solaris*)
     EXTRA_DEFINE="-D__SOLARIS__"
@@ -4839,6 +4872,79 @@ _ACEOF
 fi
 
 
+echo "$as_me:$LINENO: checking for GeoIP_open in -lGeoIP" >&5
+echo $ECHO_N "checking for GeoIP_open in -lGeoIP... $ECHO_C" >&6
+if test "${ac_cv_lib_GeoIP_GeoIP_open+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lGeoIP  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char GeoIP_open ();
+int
+main ()
+{
+GeoIP_open ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_GeoIP_GeoIP_open=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_GeoIP_GeoIP_open=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_GeoIP_GeoIP_open" >&5
+echo "${ECHO_T}$ac_cv_lib_GeoIP_GeoIP_open" >&6
+if test $ac_cv_lib_GeoIP_GeoIP_open = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBGEOIP 1
+_ACEOF
+
+  LIBS="-lGeoIP $LIBS"
+
+fi
+
+
 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
 if test "${ac_cv_header_stdc+set}" = set; then
@@ -5224,7 +5330,8 @@ done
 
 
 
-for ac_header in fcntl.h tgmath.h malloc.h netdb.h netinet/in.h sys/resource.h sys/timeb.h sys/times.h sys/param.h sys/socket.h sys/time.h sys/types.h sys/wait.h unistd.h getopt.h memory.h regex.h arpa/inet.h sys/mman.h sys/stat.h dirent.h
+
+for ac_header in GeoIP.h GeoIPCity.h fcntl.h tgmath.h malloc.h netdb.h netinet/in.h sys/resource.h sys/timeb.h sys/times.h sys/param.h sys/socket.h sys/time.h sys/types.h sys/wait.h unistd.h getopt.h memory.h arpa/inet.h sys/mman.h sys/stat.h dirent.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
@@ -5314,68 +5421,179 @@ else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-  ac_header_preproc=no
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    (
+      cat <<\_ASBOX
+## -------------------------------------------------- ##
+## Report this to evilnet-devel@lists.sourceforge.net ##
+## -------------------------------------------------- ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+echo "$as_me:$LINENO: checking for struct sockaddr.sa_len" >&5
+echo $ECHO_N "checking for struct sockaddr.sa_len... $ECHO_C" >&6
+if test "${ac_cv_member_struct_sockaddr_sa_len+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <sys/types.h>
+#include <sys/socket.h>
+
+int
+main ()
+{
+static struct sockaddr ac_aggr;
+if (ac_aggr.sa_len)
+return 0;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_member_struct_sockaddr_sa_len=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <sys/types.h>
+#include <sys/socket.h>
+
+int
+main ()
+{
+static struct sockaddr ac_aggr;
+if (sizeof ac_aggr.sa_len)
+return 0;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_member_struct_sockaddr_sa_len=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_member_struct_sockaddr_sa_len=no
 fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    (
-      cat <<\_ASBOX
-## --------------------------------------------------- ##
-## Report this to x2serv-general@lists.sourceforge.net ##
-## --------------------------------------------------- ##
-_ASBOX
-    ) |
-      sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+echo "$as_me:$LINENO: result: $ac_cv_member_struct_sockaddr_sa_len" >&5
+echo "${ECHO_T}$ac_cv_member_struct_sockaddr_sa_len" >&6
+if test $ac_cv_member_struct_sockaddr_sa_len = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SOCKADDR_SA_LEN
 _ACEOF
 
 fi
 
-done
-
-
-echo "$as_me:$LINENO: checking for struct dirent.d_type" >&5
-echo $ECHO_N "checking for struct dirent.d_type... $ECHO_C" >&6
-if test "${ac_cv_member_struct_dirent_d_type+set}" = set; then
+echo "$as_me:$LINENO: checking for struct addrinfo.ai_flags" >&5
+echo $ECHO_N "checking for struct addrinfo.ai_flags... $ECHO_C" >&6
+if test "${ac_cv_member_struct_addrinfo_ai_flags+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -5384,13 +5602,15 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <dirent.h>
+#include <sys/types.h>
+#include <sys/socket.h>
+#include <netdb.h>
 
 int
 main ()
 {
-static struct dirent ac_aggr;
-if (ac_aggr.d_type)
+static struct addrinfo ac_aggr;
+if (ac_aggr.ai_flags)
 return 0;
   ;
   return 0;
@@ -5417,7 +5637,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_member_struct_dirent_d_type=yes
+  ac_cv_member_struct_addrinfo_ai_flags=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
@@ -5428,13 +5648,15 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <dirent.h>
+#include <sys/types.h>
+#include <sys/socket.h>
+#include <netdb.h>
 
 int
 main ()
 {
-static struct dirent ac_aggr;
-if (sizeof ac_aggr.d_type)
+static struct addrinfo ac_aggr;
+if (sizeof ac_aggr.ai_flags)
 return 0;
   ;
   return 0;
@@ -5461,23 +5683,23 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_member_struct_dirent_d_type=yes
+  ac_cv_member_struct_addrinfo_ai_flags=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_member_struct_dirent_d_type=no
+ac_cv_member_struct_addrinfo_ai_flags=no
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_member_struct_dirent_d_type" >&5
-echo "${ECHO_T}$ac_cv_member_struct_dirent_d_type" >&6
-if test $ac_cv_member_struct_dirent_d_type = yes; then
+echo "$as_me:$LINENO: result: $ac_cv_member_struct_addrinfo_ai_flags" >&5
+echo "${ECHO_T}$ac_cv_member_struct_addrinfo_ai_flags" >&6
+if test $ac_cv_member_struct_addrinfo_ai_flags = yes; then
 
 cat >>confdefs.h <<\_ACEOF
-#define HAVE_DIRENT_D_TYPE 1
+#define HAVE_STRUCT_ADDRINFO
 _ACEOF
 
 fi
@@ -5684,8 +5906,8 @@ if test `eval echo '${'$as_ac_var'}'` = yes; then
 _ACEOF
 
 else
-  { { echo "$as_me:$LINENO: error: ftime or gettimeofday required.  X3 build will fail." >&5
-echo "$as_me: error: ftime or gettimeofday required.  X3 build will fail." >&2;}
+  { { echo "$as_me:$LINENO: error: ftime or gettimeofday required. X3 build will fail." >&5
+echo "$as_me: error: ftime or gettimeofday required. X3 build will fail." >&2;}
    { (exit 1); exit 1; }; }
 fi
 done
@@ -5706,9 +5928,7 @@ fi
 
 
 
-
-
-for ac_func in bcopy getpagesize memcpy memset strdup strerror strsignal localtime_r setrlimit inet_ntoa getopt getopt_long regcomp regexec regfree sysconf
+for ac_func in freeaddrinfo getaddrinfo getnameinfo getpagesize memcpy memset strdup strerror strsignal localtime_r setrlimit getopt getopt_long sysconf
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -5913,8 +6133,8 @@ if test `eval echo '${'$as_ac_var'}'` = yes; then
 _ACEOF
 
 else
-  { { echo "$as_me:$LINENO: error: a required function was not found.  X3 build will fail." >&5
-echo "$as_me: error: a required function was not found.  X3 build will fail." >&2;}
+  { { echo "$as_me:$LINENO: error: a required function was not found. X3 build will fail." >&5
+echo "$as_me: error: a required function was not found. X3 build will fail." >&2;}
    { (exit 1); exit 1; }; }
 fi
 done
@@ -6398,9 +6618,9 @@ echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&
 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     (
       cat <<\_ASBOX
-## --------------------------------------------------- ##
-## Report this to x2serv-general@lists.sourceforge.net ##
-## --------------------------------------------------- ##
+## -------------------------------------------------- ##
+## Report this to evilnet-devel@lists.sourceforge.net ##
+## -------------------------------------------------- ##
 _ASBOX
     ) |
       sed "s/^/$as_me: WARNING:     /" >&2
@@ -7142,6 +7362,7 @@ cat >>confdefs.h <<\_ACEOF
 #define WITH_MALLOC_SYSTEM 1
 _ACEOF
 
+  x3_malloc="System"
 elif test "x$withval" = "xdmalloc" ; then
   echo "$as_me:$LINENO: result: dmalloc" >&5
 echo "${ECHO_T}dmalloc" >&6
@@ -7266,9 +7487,9 @@ echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&
 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     (
       cat <<\_ASBOX
-## --------------------------------------------------- ##
-## Report this to x2serv-general@lists.sourceforge.net ##
-## --------------------------------------------------- ##
+## -------------------------------------------------- ##
+## Report this to evilnet-devel@lists.sourceforge.net ##
+## -------------------------------------------------- ##
 _ASBOX
     ) |
       sed "s/^/$as_me: WARNING:     /" >&2
@@ -7380,6 +7601,7 @@ cat >>confdefs.h <<\_ACEOF
 #define WITH_MALLOC_DMALLOC 1
 _ACEOF
 
+  x3_malloc="DMalloc"
 elif test "x$withval" = "xmpatrol" ; then
   echo "$as_me:$LINENO: result: mpatrol" >&5
 echo "${ECHO_T}mpatrol" >&6
@@ -7504,9 +7726,9 @@ echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&
 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     (
       cat <<\_ASBOX
-## --------------------------------------------------- ##
-## Report this to x2serv-general@lists.sourceforge.net ##
-## --------------------------------------------------- ##
+## -------------------------------------------------- ##
+## Report this to evilnet-devel@lists.sourceforge.net ##
+## -------------------------------------------------- ##
 _ASBOX
     ) |
       sed "s/^/$as_me: WARNING:     /" >&2
@@ -7691,6 +7913,7 @@ cat >>confdefs.h <<\_ACEOF
 #define WITH_MALLOC_MPATROL 1
 _ACEOF
 
+  x3_malloc="MPatrol"
 elif test "x$withval" = "xboehm-gc" ; then
   echo "$as_me:$LINENO: result: boehm-gc" >&5
 echo "${ECHO_T}boehm-gc" >&6
@@ -7815,9 +8038,9 @@ echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&
 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     (
       cat <<\_ASBOX
-## --------------------------------------------------- ##
-## Report this to x2serv-general@lists.sourceforge.net ##
-## --------------------------------------------------- ##
+## -------------------------------------------------- ##
+## Report this to evilnet-devel@lists.sourceforge.net ##
+## -------------------------------------------------- ##
 _ASBOX
     ) |
       sed "s/^/$as_me: WARNING:     /" >&2
@@ -8006,6 +8229,7 @@ cat >>confdefs.h <<\_ACEOF
 #define WITH_MALLOC_BOEHM_GC 1
 _ACEOF
 
+  x3_malloc="Boehm"
 elif test "x$withval" = "xx3" ; then
   echo "$as_me:$LINENO: result: x3" >&5
 echo "${ECHO_T}x3" >&6
@@ -8015,6 +8239,7 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
   MODULE_OBJS="$MODULE_OBJS alloc-x3.\$(OBJEXT)"
+  x3_malloc="X3"
 elif test "x$withval" = "xslab" ; then
   echo "$as_me:$LINENO: result: slab" >&5
 echo "${ECHO_T}slab" >&6
@@ -8024,6 +8249,7 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
   MODULE_OBJS="$MODULE_OBJS alloc-slab.\$(OBJEXT)"
+  x3_malloc="Slab"
 else
   { { echo "$as_me:$LINENO: error: Unknown malloc type $withval" >&5
 echo "$as_me: error: Unknown malloc type $withval" >&2;}
@@ -8048,17 +8274,9 @@ cat >>confdefs.h <<\_ACEOF
 #define WITH_PROTOCOL_P10 1
 _ACEOF
 
-  MODULE_OBJS="$MODULE_OBJS proto-p10.o"
+  MODULE_OBJS="$MODULE_OBJS proto-p10.\$(OBJEXT)"
   PROTO_FILES=proto-p10.c
-elif test "x$withval" = "xbahamut" ; then
-  echo "$as_me:$LINENO: result: Bahamut" >&5
-echo "${ECHO_T}Bahamut" >&6
-
-cat >>confdefs.h <<\_ACEOF
-#define WITH_PROTOCOL_BAHAMUT 1
-_ACEOF
-
-  MODULE_OBJS="$MODULE_OBJS proto-bahamut.o"
+  x3_ircd="P10"
 else
   { { echo "$as_me:$LINENO: error: Unknown IRC dialect $withval" >&5
 echo "$as_me: error: Unknown IRC dialect $withval" >&2;}
@@ -8109,12 +8327,14 @@ if test "${enable_debug+set}" = set; then
   CPPFLAGS="$CPPFLAGS"
   echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
+  x3_debug="Enabled"
 
 else
 
   CPPFLAGS="$CPPFLAGS -DNDEBUG"
   echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
+  x3_debug="Disabled"
 
 fi;
 
@@ -8142,9 +8362,12 @@ if test "${enable_modules+set}" = set; then
   module_list=""
     for module in $enableval ; do
     module=`echo $module | sed -e s/^mod-// -e s/\.c\$//`
-    EXTRA_MODULE_OBJS="$EXTRA_MODULE_OBJS mod-$module.o"
+    EXTRA_MODULE_OBJS="$EXTRA_MODULE_OBJS mod-$module.\$(OBJEXT)"
     module_list="$module_list $module"
     echo "WITH_MODULE($module)" >> $MODULE_DEFINES
+    if test "x$module" = "xtrack" ; then
+      TRACK="-D HAVE_TRACK"
+    fi
   done
   IFS="$OIFS"
   MODULE_OBJS="$MODULE_OBJS $EXTRA_MODULE_OBJS"
@@ -8173,6 +8396,248 @@ if test "z$USE_MAINTAINER_MODE" = zyes ; then
 fi
 
 
+withval=''
+
+# Check whether --with-tre or --without-tre was given.
+if test "${with_tre+set}" = set; then
+  withval="$with_tre"
+
+fi;
+if test "x$withval" != "x"; then
+    echo "$as_me:$LINENO: result: Using include dir $withval to find libtre" >&5
+echo "${ECHO_T}Using include dir $withval to find libtre" >&6
+    CPPFLAGS="-I$withval/include -L$withval/lib"
+    LIBS="$LIBS -L$withval/lib"
+else
+    echo "$as_me:$LINENO: result: Looking for tre in system and home dirs (${HOME})..." >&5
+echo "${ECHO_T}Looking for tre in system and home dirs (${HOME})..." >&6
+    CPPFLAGS="-I${HOME}/include -L${HOME}/lib"
+    LIBS="$LIBS -L${HOME}/lib"
+fi
+if test "${ac_cv_header_tre_regex_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for tre/regex.h" >&5
+echo $ECHO_N "checking for tre/regex.h... $ECHO_C" >&6
+if test "${ac_cv_header_tre_regex_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tre_regex_h" >&5
+echo "${ECHO_T}$ac_cv_header_tre_regex_h" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking tre/regex.h usability" >&5
+echo $ECHO_N "checking tre/regex.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <tre/regex.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking tre/regex.h presence" >&5
+echo $ECHO_N "checking tre/regex.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <tre/regex.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: tre/regex.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: tre/regex.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tre/regex.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: tre/regex.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: tre/regex.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: tre/regex.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tre/regex.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: tre/regex.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tre/regex.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: tre/regex.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tre/regex.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: tre/regex.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tre/regex.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tre/regex.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tre/regex.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: tre/regex.h: in the future, the compiler will take precedence" >&2;}
+    (
+      cat <<\_ASBOX
+## -------------------------------------------------- ##
+## Report this to evilnet-devel@lists.sourceforge.net ##
+## -------------------------------------------------- ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for tre/regex.h" >&5
+echo $ECHO_N "checking for tre/regex.h... $ECHO_C" >&6
+if test "${ac_cv_header_tre_regex_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_tre_regex_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tre_regex_h" >&5
+echo "${ECHO_T}$ac_cv_header_tre_regex_h" >&6
+
+fi
+if test $ac_cv_header_tre_regex_h = yes; then
+  :
+else
+  { { echo "$as_me:$LINENO: error: tre/regex.h, the TRE regex headers, were not found. Install tre or use --with-tre=PATH to tell me how to find it, where PATH/include/tre/regex.h exists.  For conveniance, just type 'tools/tre_install.sh' now, to install tre in your home directory." >&5
+echo "$as_me: error: tre/regex.h, the TRE regex headers, were not found. Install tre or use --with-tre=PATH to tell me how to find it, where PATH/include/tre/regex.h exists.  For conveniance, just type 'tools/tre_install.sh' now, to install tre in your home directory." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+
+echo "$as_me:$LINENO: checking for regexec in -ltre" >&5
+echo $ECHO_N "checking for regexec in -ltre... $ECHO_C" >&6
+if test "${ac_cv_lib_tre_regexec+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-ltre  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char regexec ();
+int
+main ()
+{
+regexec ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_tre_regexec=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_tre_regexec=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_tre_regexec" >&5
+echo "${ECHO_T}$ac_cv_lib_tre_regexec" >&6
+if test $ac_cv_lib_tre_regexec = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBTRE 1
+_ACEOF
+
+  LIBS="-ltre $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: TRE regex library not found. Install tre, or use --with-tre=PATH to tell me how to find it, where PATH/lib/libtre.so exists. For conveniance, just type 'tools/tre_install.sh' now, to install tre in your home directory." >&5
+echo "$as_me: error: TRE regex library not found. Install tre, or use --with-tre=PATH to tell me how to find it, where PATH/lib/libtre.so exists. For conveniance, just type 'tools/tre_install.sh' now, to install tre in your home directory." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+
 cat >>confdefs.h <<_ACEOF
 #define CODENAME "${CODENAME}"
 _ACEOF
@@ -8181,6 +8646,7 @@ _ACEOF
 
 
 
+
                               ac_config_files="$ac_config_files Makefile rx/Makefile src/Makefile"
 
 cat >confcache <<\_ACEOF
@@ -8573,7 +9039,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by X3 $as_me 1.4, which was
+This file was extended by X3 $as_me 1.5, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -8636,7 +9102,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-X3 config.status 1.4
+X3 config.status 1.5
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -8894,11 +9360,13 @@ s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
 s,@LN_S@,$LN_S,;t t
 s,@CPP@,$CPP,;t t
 s,@EGREP@,$EGREP,;t t
+s,@MAKER@,$MAKER,;t t
 s,@ALLOCA@,$ALLOCA,;t t
 s,@MODULE_OBJS@,$MODULE_OBJS,;t t
 s,@MY_SUBDIRS@,$MY_SUBDIRS,;t t
 s,@RX_INCLUDES@,$RX_INCLUDES,;t t
 s,@RX_LIBS@,$RX_LIBS,;t t
+s,@TRACK@,$TRACK,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t
 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
 CEOF
@@ -9617,3 +10085,37 @@ if test "$no_create" != yes; then
   $ac_cs_success || { (exit 1); exit 1; }
 fi
 
+
+
+
+cat <<EOF
+
+Configuration summary
+=====================
+
+X3 is now configured as follows:
+
+* Compilation environment
+
+  CC       = $CC
+  CFLAGS   = $CFLAGS
+  CPP      = $CPP
+  CPPFLAGS = $CPPFLAGS
+  LD       = $LD
+  LDFLAGS  = $LDFLAGS
+  LIBS     = $LIBS
+
+* X3 options
+
+  Debug:             $x3_debug
+  Extra Modules:    $module_list
+  Malloc:            $x3_malloc
+  Protocol:          $x3_ircd
+  Regexp Library     TRE $tre_version
+
+  Install to:        $prefix
+
+Now you can proceed with compiling X3
+
+EOF
+